I = imread('C:\matlab\picture.jpg');

min(I); 
max(I);
mean(I);
median(I)

%将图像二值化的函数，自带的函数
A = im2bw(I,0.6);
imshow(A);

%将图像二值，使用自定义的方法
[m,n] = size(I);%获取n维矩阵的行数和列数
a = median(I);%获取矩阵每一列的中位数
for i = 1:m %遍历到行数
for j = 1:n %遍历到列数
if I(i,j)>=a %判断数值是否大于中位数
I(i,j) = 1; %大于则置为1
else
I(i,j) = 0;
end
end
end
imshow(I);

